Bug 144691 - Applying complext text layout resets selected language
Summary: Applying complext text layout resets selected language
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-09-23 21:37 UTC by medmedin2014
Modified: 2021-10-18 14:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Applying complext text layout resets selected language (377.47 KB, video/mp4)
2021-09-23 21:37 UTC, medmedin2014
Details

Note You need to log in before you can comment on or make changes to this bug.
Description medmedin2014 2021-09-23 21:37:28 UTC
Created attachment 175228 [details]
Applying complext text layout resets selected language

See attached video for more info.

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 362d2271721dd19de7a7f6f2271a349272ce51d8
CPU threads: 2; OS: Linux 5.4; UI render: default; VCL: kf5 (cairo+xcb)
Locale: en-US (en_US.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-09-23_00:18:16
Calc: threaded

Operating System: Manjaro Linux
KDE Plasma Version: 5.22.5
KDE Frameworks Version: 5.85.0
Qt Version: 5.15.2
Kernel Version: 5.4.144-1-MANJARO (64-bit)
Graphics Platform: X11
Comment 1 smeetqa 2021-09-29 05:35:34 UTC
Thank you for reporting the bug. I can confirm that the bug is present in

[Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 20f064c1d4d2788edbd4ed7303cf1fcc4f817be4
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: en-IN (en_IN); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-09-12_10:33:12
Calc: threaded]


###Steps followed are
Open Writer
Choose Tools - Options. Go to Language Settings - Languages.	
Select checkbox for Complex text layout
Now select any language
Click apply

Observe it resets selected language.
Comment 2 smeetqa 2021-09-29 06:35:59 UTC
Reported issue also persists in below version

Version: 7.2.1.2 / LibreOffice Community
Build ID: 20(Build:2)
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: en-IN (en_IN); UI: en-US
Ubuntu package version: 1:7.2.1~rc2-0ubuntu0.20.04.1~lo3
Calc: threaded
Comment 3 psidiumcode 2021-10-13 20:12:26 UTC
I could reproduce it in ver:

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 56883788d0090383dad58552f5a11044ffe64a44
CPU threads: 12; OS: Mac OS X 10.15.7; UI render: default; VCL: osx
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded


Bisected from bibisect-mac64-7.1.
 652728030440accee88baabf8ed6031b72e568b9 is the first bad commit
commit 652728030440accee88baabf8ed6031b72e568b9
Author: libreoffice <libreoffice@libreoffices-Mac-mini.local>
Date:   Wed Nov 11 14:28:58 2020 +0100

    source sha:78c6e88e163f50eccc1cebdb2defe9ec4af248ce
    
    source sha:78c6e88e163f50eccc1cebdb2defe9ec4af248ce

 LibreOffice.app/Contents/Frameworks/libcuilo.dylib | Bin 3811876 -> 3811780 bytes
 LibreOffice.app/Contents/Resources/setuprc         |   2 +-
 LibreOffice.app/Contents/Resources/versionrc       |   2 +-
 3 files changed, 2 insertions(+), 2 deletions(-)
Comment 4 psidiumcode 2021-10-13 20:13:25 UTC
git bisect log:

# bad: [116e9431a240e3a7c7161b9d7112c4a93c0363b3] source sha:d5e786d78d2f72a39f02746d6e0faa04da72c60a
# good: [75306c92d72b1fb500c114873493cf9d3c824e76] source sha:574c57090642347980d2395e1e183cc7b5c171ad
git bisect start 'master' 'oldest'
# good: [062dcd9049c6a969aee24685350fac959be03ee9] source sha:a0f282f57213c4318c1de10d74ee43b850886147
git bisect good 062dcd9049c6a969aee24685350fac959be03ee9
# good: [8b798baaca3703ad21dda65e0f8935fb31b34a78] source sha:5744ed4ff9f2fab5073c5f8b3153b18109cb5594
git bisect good 8b798baaca3703ad21dda65e0f8935fb31b34a78
# bad: [a40c46d071a412578c027c370ebef0181d18d910] source sha:874af0da643e48fb2a2825be48261819ff53962d
git bisect bad a40c46d071a412578c027c370ebef0181d18d910
# good: [5c668106d4bb25924c6cc84e9af7bd25ec0d0c15] source sha:c7caec046f8bfff8c46fc930738f29631cf16df9
git bisect good 5c668106d4bb25924c6cc84e9af7bd25ec0d0c15
# good: [8f20b2031cc48a5ef0c3fae0e1323d5c88a92aa3] source sha:8977fd400ced120a710cb7c683d89583c44d5733
git bisect good 8f20b2031cc48a5ef0c3fae0e1323d5c88a92aa3
# bad: [36e00ebc550910c5fd9f3051db6dfea8372afefd] source sha:9aa8552bf9168836662b45798e06de4b972550ed
git bisect bad 36e00ebc550910c5fd9f3051db6dfea8372afefd
# bad: [252bc4dee8d444454b041e0135e4a02fd64288c2] source sha:60dbe21f59a45889c433727d0862c9a4274d94d2
git bisect bad 252bc4dee8d444454b041e0135e4a02fd64288c2
# bad: [db48c02a99c693cd0ae475d6e166c061a6b3228d] source sha:9f6fbe36da3d53df0b64c41e9ea51cc20d442a30
git bisect bad db48c02a99c693cd0ae475d6e166c061a6b3228d
# good: [a40cc63139826813c068cc25ee3241c6d94cb98d] source sha:a096575b8a26e80f7da13ca559bcbe33564c2498
git bisect good a40cc63139826813c068cc25ee3241c6d94cb98d
# good: [00864410f966b77949cdb8ba929015caa68c9440] source sha:2ae0d2a21778634f085e5bccd73e88e8b96fc69a
git bisect good 00864410f966b77949cdb8ba929015caa68c9440
# good: [3f5e2f3f8a028ed75a6aad1ae754d01966070788] source sha:1ec39615b91b299c48be90f134840d89517ab4c3
git bisect good 3f5e2f3f8a028ed75a6aad1ae754d01966070788
# good: [3d676b87b9d18dcd4704003a04e726699420a2b6] source sha:806c696ccdac69e274cbfeac0cb45ea59555c01d
git bisect good 3d676b87b9d18dcd4704003a04e726699420a2b6
# bad: [652728030440accee88baabf8ed6031b72e568b9] source sha:78c6e88e163f50eccc1cebdb2defe9ec4af248ce
git bisect bad 652728030440accee88baabf8ed6031b72e568b9
# first bad commit: [652728030440accee88baabf8ed6031b72e568b9] source sha:78c6e88e163f50eccc1cebdb2defe9ec4af248ce
Comment 5 Buovjaga 2021-10-14 15:53:54 UTC
https://git.libreoffice.org/core/commit/78c6e88e163f50eccc1cebdb2defe9ec4af248ce
have just the one handler for ok/apply options

Adding Cc to: Caolán McNamara
Comment 6 Caolán McNamara 2021-10-14 20:07:49 UTC
and (apparently bizarrely) if you click apply again it changes again, but back to the wanted language
Comment 7 Caolán McNamara 2021-10-14 20:14:08 UTC
https://gerrit.libreoffice.org/c/core/+/123611
Comment 8 Commit Notification 2021-10-15 09:04:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/13fb1defcd8bd303d3f753a5dd0f0c2281a75539

tdf#144691 apply the language change SYNCHRON so it will be seen during apply

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2021-10-15 09:38:08 UTC
works in trunk, backport to 7-2 in gerrit
Comment 10 Buovjaga 2021-10-15 17:45:18 UTC
Verified, thanks

Arch Linux 64-bit
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 463d261e3509cc857e248d8bd5787a45d385a646
CPU threads: 8; OS: Linux 5.14; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 15 October 2021
Comment 11 Commit Notification 2021-10-18 08:01:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/755679765e43762251393e51f4b852aace56df92

tdf#144691 apply the language change SYNCHRON so it will be seen during apply

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2021-10-18 14:45:36 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cc355073a9a16bcb1d1f222ef313e582fb88998b

tdf#144691: sw: Add UItest

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.